PAM_GET_DATA(3)

NAME
pam_get_data - get module information

LIBRARY
libpam

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
int
pam_get_data(const pam_handle_t *pamh, const char *module_data_name, const void **data);

DESCRIPTION
The pam_get_data() function looks up the opaque object associated with the string specified by the module_data_name argument, in the PAM context specified by the pamh argument. A pointer to the object is stored in the location pointed to by the data argument. If pam_get_data() fails, the data argument is untouched.

This function and its counterpart pam_set_data(3) are useful for managing data that are meaningful only to a particular service module.

RETURN VALUES
The pam_get_data() function returns one of the following values:

[PAM_NO_MODULE_DATA]
    Module data not found.

[PAM_SYSTEM_ERR]
    System error.

SEE ALSO
pam(3), pam_set_data(3), pam_strerror(3)

STANDARDS
X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

AUTHORS
The pam_get_data() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.